dnl -----------------------------------------------------------------
dnl AC_LIB_THEORA([ACTION-IF-TRUE], [ACTION-IF-FALSE])
dnl -----------------------------------------------------------------

OPTION="  --with-libtheora=DIR   prefix for theora library files and headers"

AC_DEFUN([AC_LIB_THEORA], [
  AH_TEMPLATE([HAVE_LIBTHEORA], [Define if theora is available])
  AC_ARG_WITH(libtheora, [$OPTION], [
    if test "$withval" = "no"; then
      ac_theora_path=
      $2
    elif test "$withval" = "yes"; then
      ac_theora_path=/usr
    else
      ac_theora_path="$withval"
    fi
  ],[ac_theora_path=/usr])
  if test "$ac_theora_path" != ""; then
    saved_CPPFLAGS="$CPPFLAGS"
    CPPFLAGS="$CPPFLAGS -I$ac_theora_path/include"
    AC_CHECK_HEADER([theora/theora.h], [
      saved_LDFLAGS="$LDFLAGS"
      LDFLAGS="$LDFLAGS -L$ac_theora_path/lib"
      AC_CHECK_LIB(theora, theora_version_string, [
        AC_SUBST(THEORA_CPPFLAGS, [-I$ac_theora_path/include])
        AC_SUBST(THEORA_LDFLAGS, [-L$ac_theora_path/lib])
        AC_SUBST(THEORA_LIBS, [-ltheora])
        AC_DEFINE([HAVE_LIBTHEORA])
        ac_have_libtheora="yes"
        $1
      ], [
        :
        $2
      ])
      LDFLAGS="$saved_LDFLAGS"
    ], [
      :
      $2
    ])
    CPPFLAGS="$saved_CPPFLAGS"
  fi
  AM_CONDITIONAL(HAVE_LIBTHEORA, test x$ac_have_libtheora = "xyes")
])