//**************************************************************************
//   Copyright (C) 2004, 2005 by Petri Damstn
//   petri.damsten@iki.fi
//
//   This program is free software; you can redistribute it and/or modify
//   it under the terms of the GNU General Public License as published by
//   the Free Software Foundation; either version 2 of the License, or
//   (at your option) any later version.
//
//   This program is distributed in the hope that it will be useful,
//   but WITHOUT ANY WARRANTY; without even the implied warranty of
//   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//   GNU General Public License for more details.
//
//   You should have received a copy of the GNU General Public License
//   along with this program; if not, write to the
//   Free Software Foundation, Inc.,
//   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
//**************************************************************************
#include "kmftools.h"
#include <qfileinfo.h>
#include <qstringlist.h>

KMF::Tools::Tools()
{
}


KMF::Tools::~Tools()
{
}

QString KMF::Tools::toAscii(QString text)
{
  QString s = text;

  s.replace('', "A");
  s.replace('', "A");
  s.replace('', "O");
  s.replace('', "a");
  s.replace('', "a");
  s.replace('', "o");
  s.replace('', "o");
  s.replace('', "U");
  s.replace('', "u");
  return s.ascii();
}

QString KMF::Tools::simpleBaseName(QString file)
{
  QFileInfo info(file);
  QString s = info.baseName();

  s.replace(' ', "_");
  s = toAscii(s);
  return s.lower();
}

// from void KBuildImageIOFactory::save(QDataStream &str)

void KMF::Tools::removeDuplicates(QStringList* list)
{
  QString last;

  list->sort();
  for(QStringList::Iterator it = list->begin(); it != list->end(); )
  {
    QStringList::Iterator it2 = it++;
    if (*it2 == last)
    {
      // remove duplicate
      list->remove(it2);
    }
    else
    {
      last = *it2;
    }
  }
}
